%{?nodejs_find_provides_and_requires}

%global packagename inline-source-map
%global enable_tests 1

Name:		nodejs-inline-source-map
Version:	0.6.2
Release:	2%{?dist}
Summary:	Adds source mappings and base64 encodes them

License:	MIT
URL:		https://github.com/thlorenz/inline-source-map.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(source-map)
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Adds source mappings and base64 encodes them, so they can be inlined in your
generated file.


%prep
%setup -q -n package

%nodejs_fixdep source-map '>0.4.0'

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tap test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md example/
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jun 18 2016 Jared Smith <jsmith@fedoraproject.org> - 0.6.2-1
- Update to upstream 0.6.2 release

* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 0.6.1-1
- Initial packaging
